commit:     70477251a65cc9f123fba58e59546926fcc8df4f
Author:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
AuthorDate: Wed Nov 20 10:34:31 2019 +0000
Commit:     Jeroen Roovers <jer <AT> gentoo <DOT> org>
CommitDate: Wed Nov 20 12:15:12 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=70477251

net-libs/libprotoident: Version 2.0.14_p1

Package-Manager: Portage-2.3.79, Repoman-2.3.18
Signed-off-by: Jeroen Roovers <jer <AT> gentoo.org>

 net-libs/libprotoident/Manifest                    |  1 +
 .../libprotoident/libprotoident-2.0.14_p1.ebuild   | 44 ++++++++++++++++++++++
 2 files changed, 45 insertions(+)

diff --git a/net-libs/libprotoident/Manifest b/net-libs/libprotoident/Manifest
index b7a5dc11e05..fed894028bd 100644
--- a/net-libs/libprotoident/Manifest
+++ b/net-libs/libprotoident/Manifest
@@ -1,2 +1,3 @@
+DIST 2.0.14-1.tar.gz 548297 BLAKE2B 
1ebee48a18b798895171152f0e56e93520d39ffd7a18f025638bb2a115fded07c76db5b1110b93c4c7e2191f5c1a6043d42ce4862d6ee30914d3a47ab225b1f1
 SHA512 
2026f55ccc2cbf80f11c81c8d05e23f035ed8eb0b61443d9723b0d6d37a6befe989941043b7352761ff9cc744076b3d1ee36ffe971e4bca59b8f7d4a8a1c6d94
 DIST libprotoident-2.0.12.tar.gz 571466 BLAKE2B 
604dee2d33f7944615211ee3ab0a3ba610354bd604bcbf5296d58698ab963b5e667ea3e08fc2df62dfdb1e7dc7a336a57be6e61b6f410fdd7a96f3b46c35d70c
 SHA512 
b8ba13ce9286a026062f47ffe3bf9407b408f64fbf0521aeebaf0e39e6ddf70cfbc6574f8e9c0f35fc2c2e5f9c4e71e200536665988f88c65bbdbeb9b7baed16
 DIST libprotoident-2.0.13.tar.gz 592008 BLAKE2B 
b8e4ecf5fdc1b40881709e9a572148e666f6d1a56c00cca39efd81caba3c3344a57bbc57e0794a92d1ec23bac3c928ac2b06323c1785cb8fc08cb33f55f2195c
 SHA512 
905c97ba3f994d7b63c95ee80bc7b2c2be13b86745d072f5aecb4df88f791c02dcda3f851f01b5cca3cd36ad87379759789238a8c05f3209a5aad3d854e6ff20

diff --git a/net-libs/libprotoident/libprotoident-2.0.14_p1.ebuild 
b/net-libs/libprotoident/libprotoident-2.0.14_p1.ebuild
new file mode 100644
index 00000000000..5ab401137bb
--- /dev/null
+++ b/net-libs/libprotoident/libprotoident-2.0.14_p1.ebuild
@@ -0,0 +1,44 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+inherit autotools
+
+DESCRIPTION="A library that performs application layer protocol identification 
for flows"
+HOMEPAGE="https://research.wand.net.nz/software/libprotoident.php";
+SRC_URI="https://github.com/wanduow/${PN}/archive/${PV/_p/-}.tar.gz";
+
+LICENSE="LGPL-3+"
+SLOT="0/2"
+KEYWORDS="~amd64 ~x86"
+IUSE="static-libs tools"
+
+DEPEND="
+       >=net-libs/libtrace-4.0.1
+       >=net-libs/libflowmanager-3.0.0
+"
+RDEPEND="
+       ${DEPEND}
+"
+S=${WORKDIR}/${P/_p/-}
+
+src_prepare() {
+       default
+
+       sed -i \
+               -e '/-Werror/d' \
+               lib/Makefile.am || die
+
+       eautoreconf
+}
+
+src_configure() {
+       econf \
+               $(use_enable static-libs static) \
+               $(use_with tools)
+}
+
+src_install() {
+       default
+       find "${D}" -name '*.la' -delete || die
+}

Reply via email to